#version 150

#moj_import <fog.glsl>

uniform sampler2D Sampler0;

uniform vec4 ColorModulator;
uniform float FogStart;
uniform float FogEnd;
uniform vec4 FogColor;
uniform bool inGUI;

in float vertexDistance;
in vec4 vertexColor;
in vec2 texCoord0;

out vec4 fragColor;

vec4 color = texture(Sampler0, texCoord0) * vertexColor * ColorModulator;


void main() {
    if (color.a < 0.1) {
        discard;
    }

    /* GUI grey text */
    if( greaterThan(color.rgb, vec3(0.248)) == bvec3(true) && lessThan(color.rgb, vec3(0.249)) == bvec3(true) ){
        color = vec4(0.1176, 0.1176, 0.1216, color.a);
    }

    fragColor = linear_fog(color, vertexDistance, FogStart, FogEnd, FogColor);
}
